Форум программистов, компьютерный форум, киберфорум
Наши страницы
AutoLISP
Войти
Регистрация
Восстановить пароль
Другие темы раздела
AutoLISP Начертить окружность с находящимся в ней прямоугольником http://www.cyberforum.ru/autolisp/thread1561483.html
Здравствуйте! Помогите пожалуйста разобраться. Необходимо начертить окружность с находящимся в ней прямоугольником (как на картинке). Пыталась выполнить это задание двумя способами: сначала чертила...
AutoLISP Удаление пробелов из введенного текста Была дана задача выполнить удаление пробелов с введенного текста, помогите плиз кто шарит в автолиспе, расписать эту функцию надо примерно так: (defun Del (str1 str2) (cond ((= str1 " ")... http://www.cyberforum.ru/autolisp/thread1546879.html
AutoLISP Программа AutoLisp: построение неправильных невыпуклых пятиугольников
Решил пойти дальше по задачам и встал на вот этом: В среде Автокада средствами Автолиспа построить множество пересекающихся неправильных невыпуклых пятиугольников и залить их разными цветами....
Программа на AutoLisp: построение треугольников AutoLISP
В среде Автокада средствами Автолиспа построить множество пересекающихся правильных треугольников и залить их разными цветами. Область пересечения должна представлять некоторую фигуру, не являющуюся...
AutoLISP Выполнить чертеж в AutoLisp http://www.cyberforum.ru/autolisp/thread1435858.html
Подскажите пожалуйста, как сделать этот чертеж с помощью AutoLisp?
AutoLISP Подскажите, как сделать это в AutoLisp? Средствами AutoLISP создать функцию, осуществляющую ввод данных в режиме диалога и рисующую с использованием разных цветов правильные 8- или 12-гранники между двумя заданными точками на требуемом... подробнее
Lambdik
1038 / 932 / 106
Регистрация: 04.11.2012
Сообщений: 968
Записей в блоге: 3
15.11.2015, 12:02 0

Построение соприкасающихся окружностей в Autolisp

15.11.2015, 12:02. Просмотров 831. Ответов 13
Метки (Все метки)

Лучший ответ Сообщение было отмечено innnochka как решение

Решение

Зачёт. Подравнял код.
Кликните здесь для просмотра всего текста
Lisp
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
(defun C:Q1 (/ r n p1 p1b rn ugol j pn)
  (setvar "cmdecho" 0)
  (setq osmode (getvar "OSMODE"))
  (setvar "OSMODE" 0)
  (setq r (getreal "R= "))
  (setq n (getreal "N= "))
  (setq p1 (getpoint "Select the starting point: "))
  (setq p1b 0)
  (setq rn (/ r (sin (/ pi n))))
  (setq ugol1 0)
  (setq ugol (/ (* pi 2) n))
  (setq j 0)
    (while (< j n)
      (setq pn (polar p1 ugol1 rn))
      (setq ugol1 (+ ugol1 ugol))
      (command "_.circle" pn r)
      (setq j (+ j 1))
    )
  (command "_.zoom" "_e")
  (setvar "OSMODE" osmode)
  (setvar "cmdecho" 1)
  (princ)
);(C:Q1)


Вернуться к обсуждению:
Построение соприкасающихся окружностей в Autolisp
2
MoreAnswers
Эксперт
37091 / 29110 / 5898
Регистрация: 17.06.2006
Сообщений: 43,301
15.11.2015, 12:02

Построение 2-х окружностей в комплексной плоскости
Задача просто элементарная Дана &quot;средняя&quot; окружность, она лежит на мнимой оси координат, т.е...

Рекурсия: построение ряда увеличивающихся окружностей
Напишите приложение, которое строит ряд увеличивающихся окружностей. Число окружностей удваивается...

Изобразить на экране построение концентрических окружностей
изобразить на экране построение концентрических окружностей , начиная от большей к меньшей и обратно

0
КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2019, vBulletin Solutions, Inc.
Рейтинг@Mail.ru